aboutsummaryrefslogtreecommitdiff
path: root/ci/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install.sh')
-rwxr-xr-xci/install.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100755
index 0000000..aee01b3
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,20 @@
+set -ex
+
+if [ "$CLIPPY" = "yes" ]; then
+ rustup component add clippy-preview
+fi
+
+if [ "$RUSTFMT" = "yes" ]; then
+ rustup component add rustfmt
+fi
+
+
+if [ "$DOCS" = "yes" ]; then
+ cargo install mdbook --no-default-features
+ cargo install mdbook-linkcheck
+fi
+
+if [ "$TRAVIS_OS_NAME" = "osx" ] && [ "$GNUPLOT" = "yes" ]; then
+ brew unlink python@2 # because we're installing python3 and they both want to install stuff under /usr/local/Frameworks/Python.framework/
+ brew install gnuplot
+fi